Bug 820812 - [abrt] pitivi-0.15.1-1.fc17: sourcelist.py:682:_dialogBoxResponseCb:AttributeError: 'NoneType' object has no attribute 'sources'
[abrt] pitivi-0.15.1-1.fc17: sourcelist.py:682:_dialogBoxResponseCb:Attribute...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:d21684af3c094639146d2f775cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 23:56 EDT by Javier Jardón
Modified: 2013-07-31 22:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:42:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Javier Jardón 2012-05-10 23:56:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/pitivi '/home/jjardon/LG10GBdata/Video/MKV/AC3/[MKV-AVC-AC3]Run Devil Run.mkv'
comment:        Add a file to pitivi
executable:     /usr/bin/pitivi
kernel:         3.3.4-4.fc17.x86_64
time:           Fri 11 May 2012 12:54:27 KST
uid:            1000
username:       jjardon

backtrace:
:sourcelist.py:682:_dialogBoxResponseCb:AttributeError: 'NoneType' object has no attribute 'sources'
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/ui/sourcelist.py", line 682, in _dialogBoxResponseCb
:    self.app.current.sources.addUris(filenames)
:AttributeError: 'NoneType' object has no attribute 'sources'
:
:Local variables in innermost frame:
:self: <SourceList object at 0x27ef140 (pitivi+ui+sourcelist+SourceList at 0x2d630a0)>
:filenames: ['file:///home/jjardon/LG10GBdata/Video/MKV/AC3/%5BMKV-AVC-AC3%5DRun%20Devil%20Run.mkv']
:select_folders: False
:lastfolder: '/home/jjardon/LG10GBdata/Video/MKV/AC3'
:dialogbox: <gtk.FileChooserDialog object at 0x2bffdc0 (GtkFileChooserDialog at 0x2edcb30)>
:response: -5

smolt_data:
:
:
:General
:=================================
:UUID: 40ef2601-409a-4405-a2a5-5b847172e196
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 5053.87
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2528
:System Memory: 2876
:System Swap: 2860
:Vendor: Dell Inc.
:System: Vostro 3300 Not Specified
:Form factor: Portable
:Kernel: 3.3.4-4.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1087) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1087) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1087) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1087) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1087) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:4136:1087) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:9288:4136:1087) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:18215:4136:16) pci, bcma-pci-bridge, NETWORK, XPS 8300
:(32902:15164:4136:1087) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1087) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1087) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:4136:1087) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4136:1087) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1087) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1087) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1087) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4332:33128:4136:1087) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 38308519 23317683 22934307 9592832 9073390 9073390
:/dev/sr0 WITHHELD udf UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 Matthew Walton 2012-07-29 11:22:43 EDT
Attempting to import a webm video into the Pitivi project.

Package: pitivi-0.15.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Donald Edward Winslow 2013-01-13 10:37:54 EST
I imported a video (mp4) into a new project. The ABRT dialog came up, but the import was successful. 

Package: pitivi-0.15.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Fedora End Of Life 2013-07-03 19:45:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 22:42:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.